org.apache.mina.core.session

## Interface IoSessionDataStructureFactory

- All Known Implementing Classes:
    DefaultIoSessionDataStructureFactory

      public interface IoSessionDataStructureFactory

  Provides data structures to a newly created session.
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IoSessionAttributeMap` | `getAttributeMap(IoSession session)` Returns an `IoSessionAttributeMap` which is going to be associated with the specified `session`.
    `WriteRequestQueue` | `getWriteRequestQueue(IoSession session)` Returns an `WriteRequest` which is going to be associated with the specified `session`.

- - ### Method Detail

    - #### getAttributeMap

          IoSessionAttributeMap getAttributeMap(IoSession session)
                                                throws Exception

      Returns an `IoSessionAttributeMap` which is going to be associated with the specified `session`. Please note that the returned implementation must be thread-safe.
      Throws:
        `Exception`

    - #### getWriteRequestQueue

          WriteRequestQueue getWriteRequestQueue(IoSession session)
                                                 throws Exception

      Returns an `WriteRequest` which is going to be associated with the specified `session`. Please note that the returned implementation must be thread-safe and robust enough to deal with various messages types (even what you didn't expect at all), especially when you are going to implement a priority queue which involves `Comparator`.
      Throws:
        `Exception`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.